Subject: Re: gcc-2.95 mingw32 MSVCRT runtime fixed/updated.
From: Earnie Boyd <[email-masked]>
To: Chris Faylor <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 3 Aug 1999 04:58:24 -0700 (PDT)

--- Chris Faylor <[email-masked]> wrote:
> On Mon, Aug 02, 1999 at 09:07:34AM -0500, Mumit Khan wrote:
> >Those of you using gcc-2.95 mingw msvcrt runtime, please redownload.
> >It was botched -- the drivers were looking in the wrong directory and
> >also I had the target libraries in a directory named i386-mingw32msvc
> >instead of i386-mingw32.
> >
> >ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/mingw32/gcc-2.95/
> 
> I'm getting ready to make a B21 release.  I don't want to include gcc,
> gas, ld, etc. in this, though, because experience has shown that
> it just causes confusion for people later on who try to use the old
> outdated version of the compiler.
> 
> So, I was hoping to either provide a pointer to your site or to
> actually mirror it at the sourceware.cygnus.com.  Alternatively,
> I could give you an account on sourceware if you thought it would
> be useful.
> 
> My basic stumbling block to releasing this right now is that I don't
> have a full version of InstallShield here and I don't want to rely on
> the internal group who did this last time to produce it since they are
> notoriously slow.  So, I was thinking of trying to just do something
> with a shell script and offering the option to download individual
> packages from the net or bundling everything up and sending a large tar
> ball.
> 
> So, the shell script would just ask basic questions like "what packages
> do you want to install?", "where should I install this?" and "should
> this be root, then?".  There won't be any fancy graphics or anything.
> 
> What do you think?

I think this is inline with the objectives of the project.  Mirroring Mumit's
site would be a great service to the project.

Do you plan to have two packages similar to usertools.exe and full.exe now?  If
so, you might want to consider something more like, usertools.tar.bz2 and
devapi.tar.bz2 where devapi only contains the library and header files and
usertools contains the executable binaries and scripts.  Hmm, you might not
even want the devapi.tar.bz2 since Mumit's distributions always contains these
anyway.

JTO (Just Thinking Outloud),
===
Earnie Boyd <mailto:[email-masked]>

Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>

(If you respond to the list, then please don't cc me)
_____________________________________________________________
Do You Yahoo!?
Free instant messaging and more at http://messenger.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]